# Prevent load-order problems in case openproject-plugins is listed after a plugin in the Gemfile
# or not at all
require 'open_project/plugins'

module Nepenthes::<%= plugin_name.camelcase %>
  class Engine < ::Rails::Engine
    engine_name :nepenthes_<%= plugin_name %>

    include OpenProject::Plugins::ActsAsOpEngine

    register '<%= full_name %>',
             :author_url => 'https://nepenthes.nirvati.org',
             :requires_openproject => '>= 6.0.0'

  end
end
